
import numpy
import sys

DEFAULT_SIZE = (20,20)

class ConwaysGame:
	def __init__(self, shape=[20,20], data=None):
		if data is None:
			self._data = numpy.zeros(shape=shape)
		else:
			assert len(data.shape) == 2, data.shape
			self._data = data

	def add_random_cells(self, count=None):
		pass

	def dump(self, fileobj=sys.stdout):
		_d = self._data
		for x in range(_d.shape[0]):
			for y in range(_d.shape[0]):
				if _d[x][y]:
					fileobj.write('#')
				else: 
					fileobj.write('.')
			fileobj.write('\n')
